Loading...
Searching...
No Matches
Gfx::CModelManager Class Reference

Manager for models read from model files. More...

`#include <src/graphics/model/model_manager.h>`

## Public Member Functions

CModel & | GetModel (const std::string &modelName)
| Returns a model named modelName.
void | ClearCache ()
| Clears cached models.

## Detailed Description

Manager for models read from model files.

## Member Function Documentation

## GetModel()

CModel & Gfx::CModelManager::GetModel | ( | const std::string & | modelName | ) |

Returns a model named modelName.

Exceptions

  CModelIOException | on read error

## ClearCache()

void Gfx::CModelManager::ClearCache | ( |  | ) |

Clears cached models.

The documentation for this class was generated from the following files:

- src/graphics/model/model_manager.h
- src/graphics/model/model_manager.cpp